## r-bioc-mofa2 1.16.0+ds

=== DESCRIPTION ===
Package: MOFA2
Type: Package
Title: Multi-Omics Factor Analysis v2
Version: 1.16.0
Maintainer: Ricard Argelaguet <ricard.argelaguet@gmail.com>
Authors@R: c(person("Ricard", "Argelaguet", role = c("aut", "cre"),
                     email = "ricard.argelaguet@gmail.com",
                     comment = c(ORCID = "http://orcid.org/0000-0003-3199-3722")),
              person("Damien", "Arnol", role = "aut",
                     email = "damien.arnol@gmail.com",
                     comment = c(ORCID = "http://orcid.org/0000-0003-2462-534X")),
              person("Danila", "Bredikhin", role = "aut",
                     email = "danila.bredikhin@embl.de",
                     comment = c(ORCID = "https://orcid.org/0000-0001-8089-6983")),                     
              person("Britta", "Velten", role = "aut",
              		email = "britta.velten@gmail.com",
              		comment = c(ORCID = "http://orcid.org/0000-0002-8397-3515"))
              )
Date: 2023-01-12
License: file LICENSE
Description: The MOFA2 package contains a collection of tools for training and analysing multi-omic factor analysis (MOFA). MOFA is a probabilistic factor model that aims to identify principal axes of variation from data sets that can comprise multiple omic layers and/or groups of samples. Additional time or space information on the samples can be incorporated using the MEFISTO framework, which is part of MOFA2. Downstream analysis functions to inspect molecular features underlying each factor, vizualisation, imputation etc are available.
Encoding: UTF-8
Depends: R (>= 4.0)
Imports: rhdf5, dplyr, tidyr, reshape2, pheatmap, ggplot2, methods,
        RColorBrewer, cowplot, ggrepel, reticulate, HDF5Array,
        grDevices, stats, magrittr, forcats, utils, corrplot,
        DelayedArray, Rtsne, uwot, basilisk, stringi
Suggests: knitr, testthat, Seurat, SeuratObject, ggpubr, foreach,
        psych, MultiAssayExperiment, SummarizedExperiment,
        SingleCellExperiment, ggrastr, mvtnorm, GGally, rmarkdown,
        data.table, tidyverse, BiocStyle, Matrix, markdown
biocViews: DimensionReduction, Bayesian, Visualization
URL: https://biofam.github.io/MOFA2/index.html
BugReports: https://github.com/bioFAM/MOFA2
VignetteBuilder: knitr
StagedInstall: no
NeedsCompilation: yes
RoxygenNote: 7.2.3
SystemRequirements: Python (>=3), numpy, pandas, h5py, scipy, argparse,
        sklearn, mofapy2
git_url: https://git.bioconductor.org/packages/MOFA2
git_branch: RELEASE_3_20
git_last_commit: deed7fb
git_last_commit_date: 2024-10-29
Repository: Bioconductor 3.20
Date/Publication: 2024-10-29
Packaged: 2024-10-30 01:42:58 UTC; biocbuild
Author: Ricard Argelaguet [aut, cre] (<https://orcid.org/0000-0003-3199-3722>),
  Damien Arnol [aut] (<https://orcid.org/0000-0003-2462-534X>),
  Danila Bredikhin [aut] (<https://orcid.org/0000-0001-8089-6983>),
  Britta Velten [aut] (<https://orcid.org/0000-0002-8397-3515>)

=== debian/changelog ===
r-bioc-mofa2 (1.16.0+ds-4) unstable; urgency=medium

  * Only run the autopkgtests on arm64 and amd64

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 17 Mar 2025 12:21:06 +0100

r-bioc-mofa2 (1.16.0+ds-3) unstable; urgency=medium

  * Team upload.
  * d/tests/autopkgtest-pkg-r.conf: undo change by dh-update-R

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 12 Mar 2025 16:25:23 +0100

r-bioc-mofa2 (1.16.0+ds-2) unstable; urgency=medium

  * Team Upload
  * Added patch to make the basilisk dependency optional
  * d/control: binary package is architecture independent.
  * Standards-Version: 4.7.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 02 Mar 2025 12:25:40 +0100

r-bioc-mofa2 (1.16.0+ds-1) unstable; urgency=medium

  * Team Upload

  [ Steffen Moeller ]
  * Initial release (closes: #995247)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 15:16:36 +0100

=== debian/control ===
Source: r-bioc-mofa2
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-mofa2
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-mofa2.git
Homepage: https://bioconductor.org/packages/MOFA2/
Standards-Version: 4.7.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-rhdf5,
               r-cran-dplyr,
               r-cran-tidyr,
               r-cran-reshape2,
               r-cran-pheatmap,
               r-cran-ggplot2,
               r-cran-rcolorbrewer,
               r-cran-cowplot,
               r-cran-ggrepel,
               r-cran-reticulate,
               r-bioc-hdf5array,
               r-cran-magrittr,
               r-cran-forcats,
               r-cran-corrplot,
               r-bioc-delayedarray,
               r-cran-rtsne,
               r-cran-uwot,
               r-cran-stringi
Testsuite: autopkgtest-pkg-r

Package: r-bioc-mofa2
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Multi-Omics Factor Analysis v2
 The MOFA2 package contains a collection of tools for training and
 analysing multi-omic factor analysis (MOFA). MOFA is a probabilistic
 factor model that aims to identify principal axes of variation from data
 sets that can comprise multiple omic layers and/or groups of samples.
 Additional time or space information on the samples can be incorporated
 using the MEFISTO framework, which is part of MOFA2. Downstream analysis
 functions to inspect molecular features underlying each factor,
 vizualisation, imputation etc are available.

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,compression=xz,dversionmangle=auto,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/MOFA2.html .*/MOFA2_(.*).tar.gz
